import ibz5sample0005_en_US from '@locale/lanres/entities/ibz5-sample0005/ibz5-sample0005_en_US';
import ibz5custom_en_US from '@locale/lanres/entities/ibz5-custom/ibz5-custom_en_US';
import ibz5sample_en_US from '@locale/lanres/entities/ibz5-sample/ibz5-sample_en_US';
import ibz5supplier_en_US from '@locale/lanres/entities/ibz5-supplier/ibz5-supplier_en_US';
import ibz5sample0018_en_US from '@locale/lanres/entities/ibz5-sample0018/ibz5-sample0018_en_US';
import ibz5sample0013_en_US from '@locale/lanres/entities/ibz5-sample0013/ibz5-sample0013_en_US';
import ibz5sample0001_en_US from '@locale/lanres/entities/ibz5-sample0001/ibz5-sample0001_en_US';
import ibz5storage_en_US from '@locale/lanres/entities/ibz5-storage/ibz5-storage_en_US';
import ibz5orderdetail_en_US from '@locale/lanres/entities/ibz5-order-detail/ibz5-order-detail_en_US';
import ibz5hardware_en_US from '@locale/lanres/entities/ibz5-hardware/ibz5-hardware_en_US';
import ibz5sample0010_en_US from '@locale/lanres/entities/ibz5-sample0010/ibz5-sample0010_en_US';
import ibz5sample0006_en_US from '@locale/lanres/entities/ibz5-sample0006/ibz5-sample0006_en_US';
import ibz5sample0020_en_US from '@locale/lanres/entities/ibz5-sample0020/ibz5-sample0020_en_US';
import ibz5sample0003_en_US from '@locale/lanres/entities/ibz5-sample0003/ibz5-sample0003_en_US';
import ibz5sample0007_en_US from '@locale/lanres/entities/ibz5-sample0007/ibz5-sample0007_en_US';
import ibz5softwaresuit_en_US from '@locale/lanres/entities/ibz5-software-suit/ibz5-software-suit_en_US';
import ibz5sample0016_en_US from '@locale/lanres/entities/ibz5-sample0016/ibz5-sample0016_en_US';
import ibz5customer_intf_en_US from '@locale/lanres/entities/ibz5-customer-intf/ibz5-customer-intf_en_US';
import ibz5sample0002_en_US from '@locale/lanres/entities/ibz5-sample0002/ibz5-sample0002_en_US';
import ibz5sample0008_en_US from '@locale/lanres/entities/ibz5-sample0008/ibz5-sample0008_en_US';
import ibz5account_en_US from '@locale/lanres/entities/ibz5-account/ibz5-account_en_US';
import ibz5sample0014_en_US from '@locale/lanres/entities/ibz5-sample0014/ibz5-sample0014_en_US';
import ibz5ordertype_en_US from '@locale/lanres/entities/ibz5-order-type/ibz5-order-type_en_US';
import ibz5uniproduct_en_US from '@locale/lanres/entities/ibz5-uniproduct/ibz5-uniproduct_en_US';
import ibz5sample0019_en_US from '@locale/lanres/entities/ibz5-sample0019/ibz5-sample0019_en_US';
import ibz5sample0015_en_US from '@locale/lanres/entities/ibz5-sample0015/ibz5-sample0015_en_US';
import ibz5sample0004_en_US from '@locale/lanres/entities/ibz5-sample0004/ibz5-sample0004_en_US';
import ibz5sample0011_en_US from '@locale/lanres/entities/ibz5-sample0011/ibz5-sample0011_en_US';
import ibz5customermg_en_US from '@locale/lanres/entities/ibz5-customer-mg/ibz5-customer-mg_en_US';
import ibz5customer_en_US from '@locale/lanres/entities/ibz5-customer/ibz5-customer_en_US';
import ibz5sample0017_en_US from '@locale/lanres/entities/ibz5-sample0017/ibz5-sample0017_en_US';
import ibz5cpu_en_US from '@locale/lanres/entities/ibz5-cpu/ibz5-cpu_en_US';
import ibz5sample0009_en_US from '@locale/lanres/entities/ibz5-sample0009/ibz5-sample0009_en_US';
import ibz5sample0012_en_US from '@locale/lanres/entities/ibz5-sample0012/ibz5-sample0012_en_US';
import ibz5order_en_US from '@locale/lanres/entities/ibz5-order/ibz5-order_en_US';
import components_en_US from '@locale/lanres/components/components_en_US';
import codelist_en_US from '@locale/lanres/codelist/codelist_en_US';
import userCustom_en_US from '@locale/lanres/userCustom/userCustom_en_US';

export default {
    app: {
        commonWords:{
            error: "Error",
            success: "Success",
            ok: "OK",
            cancel: "Cancel",
            save: "Save",
            codeNotExist: 'Code list does not exist',
            reqException: "Request exception",
            sysException: "System abnormality",
            warning: "Warning",
            wrong: "Error",
            rulesException: "Abnormal value check rule",
            saveSuccess: "Saved successfully",
            saveFailed: "Save failed",
            deleteSuccess: "Successfully deleted!",
            deleteError: "Failed to delete",
            delDataFail: "Failed to delete data",
            noData: "No data",
            startsuccess:"Start successful",
            loadmore:"Load more",
            nomore:"No more",
            other:"other"
        },
        local:{
            new: "New",
            add: "Add",
        },
        gridpage: {
            choicecolumns: "Choice columns",
            refresh: "refresh",
            show: "Show",
            records: "records",
            totle: "totle",
            noData: "No data",
            valueVail: "Value cannot be empty",
            group:"Group",
            other:"Other",
            notConfig: {
                fetchAction: "The view table fetchaction parameter is not configured",
                removeAction: "The view table removeaction parameter is not configured",
                createAction: "The view table createaction parameter is not configured",
                updateAction: "The view table updateaction parameter is not configured",
                loaddraftAction: "The view table loadtrafaction parameter is not configured",
            },
            data: "Data",
            delDataFail: "Failed to delete data",
            delSuccess: "Delete successfully!",
            confirmDel: "Are you sure you want to delete",
            notRecoverable: "delete will not be recoverable?",
            notBatch: "Batch addition not implemented",
            grid: "Grid",
            exportFail: "Data export failed",
            sum: "Total",
            formitemFailed: "Form item update failed",
        },
        list: {
            notConfig: {
                fetchAction: "View list fetchAction parameter is not configured",
                removeAction: "View table removeAction parameter is not configured",
                createAction: "View list createAction parameter is not configured",
                updateAction: "View list updateAction parameter is not configured",
            },
            confirmDel: "Are you sure you want to delete",
            notRecoverable: "delete will not be recoverable?",
        },
        listExpBar: {
            title: "List navigation bar",
        },
        wfExpBar: {
            title: "Process navigation bar",
        },
        calendarExpBar:{
            title: "Calendar navigation bar",
        },
        treeExpBar: {
            title: "Tree view navigation bar",
        },
        portlet: {
            noExtensions: "No extensions",
        },
        tabpage: {
            sureclosetip: {
                title: "Close warning",
                content: "Form data Changed, are sure close?",
            },
            closeall: "Close all",
            closeother: "Close other",
        },
        fileUpload: {
            caption: "Upload",
        },
        searchButton: {
            search: "Search",
            reset: "Reset",
        },
        calendar:{
          today: "today",
          month: "month",
          week: "week",
          day: "day",
          list: "list",
          dateSelectModalTitle: "select the time you wanted",
          gotoDate: "goto",
          from: "From",
          to: "To",
        },
        // 非实体视图
        views: {
            apploginview: {
                caption: "",
                title: "应用登录视图",
            },
            apppanelview: {
                caption: "",
                title: "应用面板视图",
            },
            appstartview: {
                caption: "",
                title: "应用启动视图",
            },
            appfileuploadview: {
                caption: "",
                title: "应用文件上传视图",
            },
            applogoutview: {
                caption: "",
                title: "应用注销视图",
            },
            appwfstepactorview: {
                caption: "",
                title: "应用流程当前处理人视图",
            },
            appwfstepdataview: {
                caption: "",
                title: "应用流程处理记录视图",
            },
            appredirectview: {
                caption: "",
                title: "应用数据重定向视图",
            },
            apppicuploadview: {
                caption: "",
                title: "应用图片上传视图",
            },
            index: {
                caption: "jQuery示例",
                title: "",
            },
        },
        utilview:{
            importview:"Import Data",
            warning:"warning",
            info:"Please configure the data import item"    
        },
        menus: {
            mainmenu: {
                menuitem1: "工作台",
                menuitem3: "控件",
                menuitem6: "默认数据类型",
                menuitem7: "默认编辑器类型",
                menuitem15: "基础表单项",
                menuitem4: "部件",
                menuitem12: "编辑表单",
                menuitem47: "默认值",
                menuitem48: "输入提示",
                menuitem49: "辅助输入",
                menuitem50: "自动填充",
                menuitem51: "超链接",
                menuitem52: "值重置",
                menuitem55: "动态显示",
                menuitem53: "动态启用",
                menuitem54: "动态空输入",
                menuitem56: "表单项更新",
                menuitem16: "搜索表单",
                menuitem13: "表格",
                menuitem57: "禁用排序",
                menuitem59: "行操作",
                menuitem58: "行编辑",
                menuitem14: "树视图",
                menuitem60: "静态节点",
                menuitem61: "动态节点（代码表）",
                menuitem62: "动态节点（实体）",
                menuitem63: "右键操作",
                menuitem64: "动态参数过滤",
                menuitem37: "图表",
                menuitem38: "柱状图",
                menuitem39: "折线图",
                menuitem40: "饼图",
                menuitem41: "区域图",
                menuitem42: "雷达图",
                menuitem43: "仪表盘",
                menuitem44: "K线图",
                menuitem17: "向导",
                menuitem18: "界面行为",
                menuitem65: "前端界面行为",
                menuitem66: "后台界面行为",
                menuitem5: "视图",
                menuitem9: "列表视图",
                menuitem19: "常规表格视图",
                menuitem21: "左右表格视图",
                menuitem20: "嵌入表格视图",
                menuitem8: "编辑视图",
                menuitem22: "常规编辑视图",
                menuitem23: "左右编辑视图",
                menuitem24: "分页编辑视图",
                menuitem25: "嵌入编辑视图",
                menuitem26: "选择视图",
                menuitem27: "单选视图",
                menuitem28: "多选视图",
                menuitem29: "树形选择视图",
                menuitem30: "左右单选视图",
                menuitem31: "左右多选视图",
                menuitem10: "导航视图",
                menuitem32: "常规导航视图",
                menuitem33: "分页导航视图",
                menuitem34: "嵌入导航视图",
                menuitem11: "其他视图",
                menuitem35: "图表视图",
                menuitem36: "报表视图",
                menuitem69: "工作流",
                menuitem2: "更多",
                menuitem46: "数据导出导入",
                menuitem45: "数据打印",
                menuitem67: "索引实体",
                menuitem68: "继承实体",
                menuitem70: "主状态",
                menuitem71: "多表单",
            },
        },
        formpage:{
            error: "Error",
            desc1: "Operation failed, failed to find current form item",
            desc2: "Can't continue",
            notconfig: {
                loadaction: "View form loadAction parameter is not configured",
                loaddraftaction: "View form loaddraftAction parameter is not configured",
                actionname: "View form actionName parameter is not configured",
                removeaction: "View form removeAction parameter is not configured",
            },
            saveerror: "Error saving data",
            savecontent: "The data is inconsistent. The background data may have been modified. Do you want to reload the data?",
            valuecheckex: "Value rule check exception",
            savesuccess: "Saved successfully!",
            deletesuccess: "Successfully deleted!",  
            workflow: {
                starterror: "Workflow started successfully",
                startsuccess: "Workflow failed to start",
                submiterror: "Workflow submission failed",
                submitsuccess: "Workflow submitted successfully",
            },
            updateerror: "Form item update failed",       
        },
        gridBar: {
            title: "Table navigation bar",
        },
        multiEditView: {
            notConfig: {
                fetchAction: "View multi-edit view panel fetchAction parameter is not configured",
                loaddraftAction: "View multi-edit view panel loaddraftAction parameter is not configured",
            },
        },
        dataViewExpBar: {
            title: "Card view navigation bar",
        },
        kanban: {
            notConfig: {
                fetchAction: "View list fetchAction parameter is not configured",
                removeAction: "View table removeAction parameter is not configured",
            },
            delete1: "Confirm to delete ",
            delete2: "the delete operation will be unrecoverable!",
        },
        dashBoard: {
            handleClick: {
                title: "Panel design",
            },
        },
        dataView: {
            sum: "total",
            data: "data",
        },
        chart: {
            undefined: "Undefined",
            quarter: "Quarter",   
            year: "Year",
        },
        searchForm: {
            notConfig: {
                loadAction: "View search form loadAction parameter is not configured",
                loaddraftAction: "View search form loaddraftAction parameter is not configured",
            },
            custom: "Store custom queries",
            title: "Name",
        },
        wizardPanel: {
            back: "Back",
            next: "Next",
            complete: "Complete",
            preactionmessage:"The calculation of the previous behavior is not configured"
        },
        viewLayoutPanel: {
            appLogoutView: {
                prompt1: "Dear customer, you have successfully exited the system, after",
                prompt2: "seconds, we will jump to the",
                logingPage: "login page",
            },
            appWfstepTraceView: {
                title: "Application process processing record view",
            },
            appWfstepDataView: {
                title: "Application process tracking view",
            },
            appLoginView: {
                username: "Username",
                password: "Password",
                login: "Login",
            },
        },
    },
    entities: {
        ibz5sample0005: ibz5sample0005_en_US,
        ibz5custom: ibz5custom_en_US,
        ibz5sample: ibz5sample_en_US,
        ibz5supplier: ibz5supplier_en_US,
        ibz5sample0018: ibz5sample0018_en_US,
        ibz5sample0013: ibz5sample0013_en_US,
        ibz5sample0001: ibz5sample0001_en_US,
        ibz5storage: ibz5storage_en_US,
        ibz5orderdetail: ibz5orderdetail_en_US,
        ibz5hardware: ibz5hardware_en_US,
        ibz5sample0010: ibz5sample0010_en_US,
        ibz5sample0006: ibz5sample0006_en_US,
        ibz5sample0020: ibz5sample0020_en_US,
        ibz5sample0003: ibz5sample0003_en_US,
        ibz5sample0007: ibz5sample0007_en_US,
        ibz5softwaresuit: ibz5softwaresuit_en_US,
        ibz5sample0016: ibz5sample0016_en_US,
        ibz5customer_intf: ibz5customer_intf_en_US,
        ibz5sample0002: ibz5sample0002_en_US,
        ibz5sample0008: ibz5sample0008_en_US,
        ibz5account: ibz5account_en_US,
        ibz5sample0014: ibz5sample0014_en_US,
        ibz5ordertype: ibz5ordertype_en_US,
        ibz5uniproduct: ibz5uniproduct_en_US,
        ibz5sample0019: ibz5sample0019_en_US,
        ibz5sample0015: ibz5sample0015_en_US,
        ibz5sample0004: ibz5sample0004_en_US,
        ibz5sample0011: ibz5sample0011_en_US,
        ibz5customermg: ibz5customermg_en_US,
        ibz5customer: ibz5customer_en_US,
        ibz5sample0017: ibz5sample0017_en_US,
        ibz5cpu: ibz5cpu_en_US,
        ibz5sample0009: ibz5sample0009_en_US,
        ibz5sample0012: ibz5sample0012_en_US,
        ibz5order: ibz5order_en_US,
    },
    components: components_en_US,
    codelist: codelist_en_US,
    userCustom: userCustom_en_US,
};