import ibz5sample0005_zh_CN from '@locale/lanres/entities/ibz5-sample0005/ibz5-sample0005_zh_CN';
import ibz5custom_zh_CN from '@locale/lanres/entities/ibz5-custom/ibz5-custom_zh_CN';
import ibz5sample_zh_CN from '@locale/lanres/entities/ibz5-sample/ibz5-sample_zh_CN';
import ibz5supplier_zh_CN from '@locale/lanres/entities/ibz5-supplier/ibz5-supplier_zh_CN';
import ibz5sample0018_zh_CN from '@locale/lanres/entities/ibz5-sample0018/ibz5-sample0018_zh_CN';
import ibz5sample0013_zh_CN from '@locale/lanres/entities/ibz5-sample0013/ibz5-sample0013_zh_CN';
import ibz5sample0001_zh_CN from '@locale/lanres/entities/ibz5-sample0001/ibz5-sample0001_zh_CN';
import ibz5storage_zh_CN from '@locale/lanres/entities/ibz5-storage/ibz5-storage_zh_CN';
import ibz5orderdetail_zh_CN from '@locale/lanres/entities/ibz5-order-detail/ibz5-order-detail_zh_CN';
import ibz5hardware_zh_CN from '@locale/lanres/entities/ibz5-hardware/ibz5-hardware_zh_CN';
import ibz5sample0010_zh_CN from '@locale/lanres/entities/ibz5-sample0010/ibz5-sample0010_zh_CN';
import ibz5sample0006_zh_CN from '@locale/lanres/entities/ibz5-sample0006/ibz5-sample0006_zh_CN';
import ibz5sample0020_zh_CN from '@locale/lanres/entities/ibz5-sample0020/ibz5-sample0020_zh_CN';
import ibz5sample0003_zh_CN from '@locale/lanres/entities/ibz5-sample0003/ibz5-sample0003_zh_CN';
import ibz5sample0007_zh_CN from '@locale/lanres/entities/ibz5-sample0007/ibz5-sample0007_zh_CN';
import ibz5softwaresuit_zh_CN from '@locale/lanres/entities/ibz5-software-suit/ibz5-software-suit_zh_CN';
import ibz5sample0016_zh_CN from '@locale/lanres/entities/ibz5-sample0016/ibz5-sample0016_zh_CN';
import ibz5customer_intf_zh_CN from '@locale/lanres/entities/ibz5-customer-intf/ibz5-customer-intf_zh_CN';
import ibz5sample0002_zh_CN from '@locale/lanres/entities/ibz5-sample0002/ibz5-sample0002_zh_CN';
import ibz5sample0008_zh_CN from '@locale/lanres/entities/ibz5-sample0008/ibz5-sample0008_zh_CN';
import ibz5account_zh_CN from '@locale/lanres/entities/ibz5-account/ibz5-account_zh_CN';
import ibz5sample0014_zh_CN from '@locale/lanres/entities/ibz5-sample0014/ibz5-sample0014_zh_CN';
import ibz5ordertype_zh_CN from '@locale/lanres/entities/ibz5-order-type/ibz5-order-type_zh_CN';
import ibz5uniproduct_zh_CN from '@locale/lanres/entities/ibz5-uniproduct/ibz5-uniproduct_zh_CN';
import ibz5sample0019_zh_CN from '@locale/lanres/entities/ibz5-sample0019/ibz5-sample0019_zh_CN';
import ibz5sample0015_zh_CN from '@locale/lanres/entities/ibz5-sample0015/ibz5-sample0015_zh_CN';
import ibz5sample0004_zh_CN from '@locale/lanres/entities/ibz5-sample0004/ibz5-sample0004_zh_CN';
import ibz5sample0011_zh_CN from '@locale/lanres/entities/ibz5-sample0011/ibz5-sample0011_zh_CN';
import ibz5customermg_zh_CN from '@locale/lanres/entities/ibz5-customer-mg/ibz5-customer-mg_zh_CN';
import ibz5customer_zh_CN from '@locale/lanres/entities/ibz5-customer/ibz5-customer_zh_CN';
import ibz5sample0017_zh_CN from '@locale/lanres/entities/ibz5-sample0017/ibz5-sample0017_zh_CN';
import ibz5cpu_zh_CN from '@locale/lanres/entities/ibz5-cpu/ibz5-cpu_zh_CN';
import ibz5sample0009_zh_CN from '@locale/lanres/entities/ibz5-sample0009/ibz5-sample0009_zh_CN';
import ibz5sample0012_zh_CN from '@locale/lanres/entities/ibz5-sample0012/ibz5-sample0012_zh_CN';
import ibz5order_zh_CN from '@locale/lanres/entities/ibz5-order/ibz5-order_zh_CN';
import components_zh_CN from '@locale/lanres/components/components_zh_CN';
import codelist_zh_CN from '@locale/lanres/codelist/codelist_zh_CN';
import userCustom_zh_CN from '@locale/lanres/userCustom/userCustom_zh_CN';

export default {
    app: {
        commonWords:{
            error: "失败",
            success: "成功",
            ok: "确认",
            cancel: "取消",
            save: "保存",
            codeNotExist: "代码表不存在",
            reqException: "请求异常",
            sysException: "系统异常",
            warning: "警告",
            wrong: "错误",
            rulesException: "值规则校验异常",
            saveSuccess: "保存成功",
            saveFailed: "保存失败",
            deleteSuccess: "删除成功",
            deleteError: "删除失败",
            delDataFail: "删除数据失败",
            noData: "暂无数据",
            startsuccess:"启动成功",
            loadmore:"加载更多",
            nomore:"没有更多了",
            other:"其他"
        },
        local:{
            new: "新建",
            add: "增加",
        },
        gridpage: {
            choicecolumns: "选择列",
            refresh: "刷新",
            show: "显示",
            records: "条",
            totle: "共",
            noData: "无数据",
            valueVail: "值不能为空",
            group:"分组",
            other:"其他",
            notConfig: {
                fetchAction: "视图表格fetchAction参数未配置",
                removeAction: "视图表格removeAction参数未配置",
                createAction: "视图表格createAction参数未配置",
                updateAction: "视图表格updateAction参数未配置",
                loaddraftAction: "视图表格loaddraftAction参数未配置",
            },
            data: "数据",
            delDataFail: "删除数据失败",
            delSuccess: "删除成功!",
            confirmDel: "确认要删除",
            notRecoverable: "删除操作将不可恢复？",
            notBatch: "批量添加未实现",
            grid: "表",
            exportFail: "数据导出失败",
            sum: "合计",
            formitemFailed: "表单项更新失败",
        },
        list: {
            notConfig: {
                fetchAction: "视图列表fetchAction参数未配置",
                removeAction: "视图表格removeAction参数未配置",
                createAction: "视图列表createAction参数未配置",
                updateAction: "视图列表updateAction参数未配置",
            },
            confirmDel: "确认要删除",
            notRecoverable: "删除操作将不可恢复？",
        },
        listExpBar: {
            title: "列表导航栏",
        },
        wfExpBar: {
            title: "流程导航栏",
        },
        calendarExpBar:{
            title: "日历导航栏",
        },
        treeExpBar: {
            title: "树视图导航栏",
        },
        portlet: {
            noExtensions: "无扩展插件",
        },
        tabpage: {
            sureclosetip: {
                title: "关闭提醒",
                content: "表单数据已经修改，确定要关闭？",
            },
            closeall: "关闭所有",
            closeother: "关闭其他",
        },
        fileUpload: {
            caption: "上传",
        },
        searchButton: {
            search: "搜索",
            reset: "重置",
        },
        calendar:{
          today: "今天",
          month: "月",
          week: "周",
          day: "天",
          list: "列",
          dateSelectModalTitle: "选择要跳转的时间",
          gotoDate: "跳转",
          from: "从",
          to: "至",
        },
        // 非实体视图
        views: {
            apploginview: {
                caption: "",
                title: "应用登录视图",
            },
            apppanelview: {
                caption: "",
                title: "应用面板视图",
            },
            appstartview: {
                caption: "",
                title: "应用启动视图",
            },
            appfileuploadview: {
                caption: "",
                title: "应用文件上传视图",
            },
            applogoutview: {
                caption: "",
                title: "应用注销视图",
            },
            appwfstepactorview: {
                caption: "",
                title: "应用流程当前处理人视图",
            },
            appwfstepdataview: {
                caption: "",
                title: "应用流程处理记录视图",
            },
            appredirectview: {
                caption: "",
                title: "应用数据重定向视图",
            },
            apppicuploadview: {
                caption: "",
                title: "应用图片上传视图",
            },
            index: {
                caption: "jQuery示例",
                title: "",
            },
        },
        utilview:{
            importview:"导入数据",
            warning:"警告",
            info:"请配置数据导入项" 
        },
        menus: {
            mainmenu: {
                menuitem1: "工作台",
                menuitem3: "控件",
                menuitem6: "默认数据类型",
                menuitem7: "默认编辑器类型",
                menuitem15: "基础表单项",
                menuitem4: "部件",
                menuitem12: "编辑表单",
                menuitem47: "默认值",
                menuitem48: "输入提示",
                menuitem49: "辅助输入",
                menuitem50: "自动填充",
                menuitem51: "超链接",
                menuitem52: "值重置",
                menuitem55: "动态显示",
                menuitem53: "动态启用",
                menuitem54: "动态空输入",
                menuitem56: "表单项更新",
                menuitem16: "搜索表单",
                menuitem13: "表格",
                menuitem57: "禁用排序",
                menuitem59: "行操作",
                menuitem58: "行编辑",
                menuitem14: "树视图",
                menuitem60: "静态节点",
                menuitem61: "动态节点（代码表）",
                menuitem62: "动态节点（实体）",
                menuitem63: "右键操作",
                menuitem64: "动态参数过滤",
                menuitem37: "图表",
                menuitem38: "柱状图",
                menuitem39: "折线图",
                menuitem40: "饼图",
                menuitem41: "区域图",
                menuitem42: "雷达图",
                menuitem43: "仪表盘",
                menuitem44: "K线图",
                menuitem17: "向导",
                menuitem18: "界面行为",
                menuitem65: "前端界面行为",
                menuitem66: "后台界面行为",
                menuitem5: "视图",
                menuitem9: "列表视图",
                menuitem19: "常规表格视图",
                menuitem21: "左右表格视图",
                menuitem20: "嵌入表格视图",
                menuitem8: "编辑视图",
                menuitem22: "常规编辑视图",
                menuitem23: "左右编辑视图",
                menuitem24: "分页编辑视图",
                menuitem25: "嵌入编辑视图",
                menuitem26: "选择视图",
                menuitem27: "单选视图",
                menuitem28: "多选视图",
                menuitem29: "树形选择视图",
                menuitem30: "左右单选视图",
                menuitem31: "左右多选视图",
                menuitem10: "导航视图",
                menuitem32: "常规导航视图",
                menuitem33: "分页导航视图",
                menuitem34: "嵌入导航视图",
                menuitem11: "其他视图",
                menuitem35: "图表视图",
                menuitem36: "报表视图",
                menuitem69: "工作流",
                menuitem2: "更多",
                menuitem46: "数据导出导入",
                menuitem45: "数据打印",
                menuitem67: "索引实体",
                menuitem68: "继承实体",
                menuitem70: "主状态",
                menuitem71: "多表单",
            },
        },
        formpage:{
            desc1: "操作失败,未能找到当前表单项",
            desc2: "无法继续操作",
            notconfig: {
                loadaction: "视图表单loadAction参数未配置",
                loaddraftaction: "视图表单loaddraftAction参数未配置",
                actionname: "视图表单'+actionName+'参数未配置",
                removeaction: "视图表单removeAction参数未配置",
            },
            saveerror: "保存数据发生错误",
            savecontent: "数据不一致，可能后台数据已经被修改,是否要重新加载数据？",
            valuecheckex: "值规则校验异常",
            savesuccess: "保存成功！",
            deletesuccess: "删除成功！",  
            workflow: {
                starterror: "工作流启动失败",
                startsuccess: "工作流启动成功",
                submiterror: "工作流提交失败",
                submitsuccess: "工作流提交成功",
            },
            updateerror: "表单项更新失败",     
        },
        gridBar: {
            title: "表格导航栏",
        },
        multiEditView: {
            notConfig: {
                fetchAction: "视图多编辑视图面板fetchAction参数未配置",
                loaddraftAction: "视图多编辑视图面板loaddraftAction参数未配置",
            },
        },
        dataViewExpBar: {
            title: "卡片视图导航栏",
        },
        kanban: {
            notConfig: {
                fetchAction: "视图列表fetchAction参数未配置",
                removeAction: "视图表格removeAction参数未配置",
            },
            delete1: "确认要删除 ",
            delete2: "删除操作将不可恢复？",
        },
        dashBoard: {
            handleClick: {
                title: "面板设计",
            },
        },
        dataView: {
            sum: "共",
            data: "条数据",
        },
        chart: {
            undefined: "未定义",
            quarter: "季度",   
            year: "年",
        },
        searchForm: {
            notConfig: {
                loadAction: "视图搜索表单loadAction参数未配置",
                loaddraftAction: "视图搜索表单loaddraftAction参数未配置",
            },
            custom: "存储自定义查询",
            title: "名称",
        },
        wizardPanel: {
            back: "上一步",
            next: "下一步",
            complete: "完成",
            preactionmessage:"未配置计算上一步行为"
        },
        viewLayoutPanel: {
            appLogoutView: {
                prompt1: "尊敬的客户您好，您已成功退出系统，将在",
                prompt2: "秒后跳转至",
                logingPage: "登录页",
            },
            appWfstepTraceView: {
                title: "应用流程处理记录视图",
            },
            appWfstepDataView: {
                title: "应用流程跟踪视图",
            },
            appLoginView: {
                username: "用户名",
                password: "密码",
                login: "登录",
            },
        },
    },
    entities: {
        ibz5sample0005: ibz5sample0005_zh_CN,
        ibz5custom: ibz5custom_zh_CN,
        ibz5sample: ibz5sample_zh_CN,
        ibz5supplier: ibz5supplier_zh_CN,
        ibz5sample0018: ibz5sample0018_zh_CN,
        ibz5sample0013: ibz5sample0013_zh_CN,
        ibz5sample0001: ibz5sample0001_zh_CN,
        ibz5storage: ibz5storage_zh_CN,
        ibz5orderdetail: ibz5orderdetail_zh_CN,
        ibz5hardware: ibz5hardware_zh_CN,
        ibz5sample0010: ibz5sample0010_zh_CN,
        ibz5sample0006: ibz5sample0006_zh_CN,
        ibz5sample0020: ibz5sample0020_zh_CN,
        ibz5sample0003: ibz5sample0003_zh_CN,
        ibz5sample0007: ibz5sample0007_zh_CN,
        ibz5softwaresuit: ibz5softwaresuit_zh_CN,
        ibz5sample0016: ibz5sample0016_zh_CN,
        ibz5customer_intf: ibz5customer_intf_zh_CN,
        ibz5sample0002: ibz5sample0002_zh_CN,
        ibz5sample0008: ibz5sample0008_zh_CN,
        ibz5account: ibz5account_zh_CN,
        ibz5sample0014: ibz5sample0014_zh_CN,
        ibz5ordertype: ibz5ordertype_zh_CN,
        ibz5uniproduct: ibz5uniproduct_zh_CN,
        ibz5sample0019: ibz5sample0019_zh_CN,
        ibz5sample0015: ibz5sample0015_zh_CN,
        ibz5sample0004: ibz5sample0004_zh_CN,
        ibz5sample0011: ibz5sample0011_zh_CN,
        ibz5customermg: ibz5customermg_zh_CN,
        ibz5customer: ibz5customer_zh_CN,
        ibz5sample0017: ibz5sample0017_zh_CN,
        ibz5cpu: ibz5cpu_zh_CN,
        ibz5sample0009: ibz5sample0009_zh_CN,
        ibz5sample0012: ibz5sample0012_zh_CN,
        ibz5order: ibz5order_zh_CN,
    },
    components: components_zh_CN,
    codelist: codelist_zh_CN,
    userCustom: userCustom_zh_CN,
};